# 7. Mutation : générer « ZonesMap »

Générer une "ZonesMap" pour le "Field".

{% hint style="info" %}
Le temps d'exécution est variable (de 4 secondes à 5 minutes), il dépend du nombre d'images et de la superficie du champ à traiter, et l'Abonnement sera reçu après la génération réussie de la "ZonesMap".
{% endhint %}

{% hint style="danger" %}
Nous recommandons d'utiliser une **approche** approche pour générer des ZonesMaps
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<emplacement réservé_uuid_image_satellite_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    nom
    type
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/7.-mutation-generer-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
